Register a patient
curl --request POST \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/patients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clinic_id": 123,
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"middle_name": "<string>",
"date_of_birth": "2023-12-25",
"identity_type": "<string>",
"identity_number": "<string>",
"secondary_phone": "<string>",
"email": "jsmith@example.com",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"next_of_kin_name": "<string>",
"next_of_kin_relationship": "<string>",
"next_of_kin_phone": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clinic_id: 123,
first_name: '<string>',
last_name: '<string>',
phone: '<string>',
middle_name: '<string>',
date_of_birth: '2023-12-25',
identity_type: '<string>',
identity_number: '<string>',
secondary_phone: '<string>',
email: 'jsmith@example.com',
address: '<string>',
city: '<string>',
county: '<string>',
country: '<string>',
next_of_kin_name: '<string>',
next_of_kin_relationship: '<string>',
next_of_kin_phone: '<string>'
})
};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/patients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/patients"
payload = {
"clinic_id": 123,
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"middle_name": "<string>",
"date_of_birth": "2023-12-25",
"identity_type": "<string>",
"identity_number": "<string>",
"secondary_phone": "<string>",
"email": "jsmith@example.com",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"next_of_kin_name": "<string>",
"next_of_kin_relationship": "<string>",
"next_of_kin_phone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {}
}Staff patients
Register a patient
POST
/
patients
Register a patient
curl --request POST \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/patients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"clinic_id": 123,
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"middle_name": "<string>",
"date_of_birth": "2023-12-25",
"identity_type": "<string>",
"identity_number": "<string>",
"secondary_phone": "<string>",
"email": "jsmith@example.com",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"next_of_kin_name": "<string>",
"next_of_kin_relationship": "<string>",
"next_of_kin_phone": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clinic_id: 123,
first_name: '<string>',
last_name: '<string>',
phone: '<string>',
middle_name: '<string>',
date_of_birth: '2023-12-25',
identity_type: '<string>',
identity_number: '<string>',
secondary_phone: '<string>',
email: 'jsmith@example.com',
address: '<string>',
city: '<string>',
county: '<string>',
country: '<string>',
next_of_kin_name: '<string>',
next_of_kin_relationship: '<string>',
next_of_kin_phone: '<string>'
})
};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/patients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/patients"
payload = {
"clinic_id": 123,
"first_name": "<string>",
"last_name": "<string>",
"phone": "<string>",
"middle_name": "<string>",
"date_of_birth": "2023-12-25",
"identity_type": "<string>",
"identity_number": "<string>",
"secondary_phone": "<string>",
"email": "jsmith@example.com",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"next_of_kin_name": "<string>",
"next_of_kin_relationship": "<string>",
"next_of_kin_phone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Maximum string length:
100Maximum string length:
100Available options:
female, male, intersex, unknown Maximum string length:
50Maximum string length:
100Available options:
active, inactive, deceased, null Response
Resource returned.